%define upstream_name    Ref-Util
%define upstream_version 0.204

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Utility functions for checking references
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Ref/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl-devel
%description
Ref::Util introduces several functions to help identify references in a
faster and *smarter* way. In short:

    ref $foo eq 'ARRAY'

    # is now:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.204.0-4.mga8
+ Revision: 1519202
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.204.0-3.mga7
+ Revision: 1300187
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 tv <tv> 0.204.0-1.mga7
+ Revision: 1220769
- update to 0.204

* Sun Jul 23 2017 tv <tv> 0.203.0-2.mga7
+ Revision: 1129373
- rebuild for perl 5.26
+ shlomif <shlomif>
- New version 0.203
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun May 08 2016 shlomif <shlomif> 0.20.0-1.mga6
+ Revision: 1010763
- update to 0.020

* Fri Apr 08 2016 shlomif <shlomif> 0.8.0-1.mga6
+ Revision: 999551
- imported package perl-Ref-Util


* Sat Apr 09 2016 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
